libafsauthent1_1.6.1-3+deb7u5_i386.deb


Advertisement

Description

libafsauthent1 - AFS distributed file system runtime library (authentication)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libafsauthent1
Package version 1.6.1
Package release 3+deb7u5
Package architecture i386
Package type deb
Installed size 315 B
Download size 157.17 KB
Official Mirror ftp.br.debian.org
AFS is a distributed filesystem allowing cross-platform sharing of
files among multiple computers.  Facilities are provided for access
control, authentication, backup and administrative management.
This package provides the shared library implementing AFS client
authentication and token management.

Alternatives

Package Version Architecture Repository
libafsauthent1_1.6.9-2+deb8u4~bpo70+1_i386.deb 1.6.9 i386 Debian Backports Main
libafsauthent1_1.6.9-2+deb8u4~bpo70+1_amd64.deb 1.6.9 amd64 Debian Backports Main
libafsauthent1_1.6.1-3+deb7u8_amd64.deb 1.6.1 amd64 Debian Security Updates Main
libafsauthent1_1.6.1-3+deb7u8_i386.deb 1.6.1 i386 Debian Security Updates Main
libafsauthent1_1.6.1-3+deb7u5_amd64.deb 1.6.1 amd64 Debian Main
libafsauthent1 - - -

Requires

Name Value
libafsrpc1 >= 1.6.1-3+deb7u1~
libc6 >= 2.3.6-6~
libcomerr2 >= 1.01
libk5crypto3 >= 1.6.dfsg.2
libkrb5-3 >= 1.6.dfsg.2

Download

Type URL
Binary Package libafsauthent1_1.6.1-3+deb7u5_i386.deb
Source Package openafs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libafsauthent1 deb package:
    # sudo apt-get install libafsauthent1

Files

Path
/usr/lib/libafsauthent.so.1
/usr/lib/libafsauthent.so.1.1
/usr/share/doc/libafsauthent1/changelog.Debian.gz
/usr/share/doc/libafsauthent1/changelog.gz
/usr/share/doc/libafsauthent1/copyright

Changelog

2015-10-28 - Benjamin Kaduk <kaduk@mit.edu>
openafs (1.6.1-3+deb7u5) wheezy-security; urgency=high
* Apply upstream security patches corresponding to the 1.6.15 release:
- OPENAFS-SA-2015-007 (CVE-2015-7762, CVE-2015-7763): rx ACK packets
reveal plaintext of previously encrypted data packets.
2015-08-08 - Benjamin Kaduk <kaduk@mit.edu>
openafs (1.6.1-3+deb7u4) wheezy-proposed-updates; urgency=medium
* Fix the kernel module build when d_alias is in the d_u union
(Closes: #780865, Closes: #794224)
* Fix potential file corruption of mmapped files (Closes: #778851)
2015-07-30 - Sebastien Delafond <seb@debian.org>
openafs (1.6.1-3+deb7u3) wheezy-security; urgency=high
* Apply upstream security patches from the 1.6.13 release (thanks to
Benjamin Kaduk <kaduk@mit.edu> for providing the patches):
- OPENAFS-SA-2015-001 (CVE-2015-3282): vos leaks stack data onto the wire when creating
vldb entries
- OPENAFS-SA-2015-002 (CVE-2015-3283): bos commands can be spoofed, including some
which alter server state
- OPENAFS-SA-2015-003 (CVE-2015-3284): pioctls leak kernel memory contents
- OPENAFS-SA-2015-004 (CVE-2015-3285): kernel pioctl support for OSD command parsing
can trigger a panic
- OPENAFS-SA-2015-006 (CVE-2015-3287): Buffer overflow in OpenAFS vlserver
* The patch for OPENAFS-SA-2015-005 is not applied, since that
vulnerability is limited to the Solaris kernel module
2014-04-08 - Russ Allbery <rra@debian.org>
openafs (1.6.1-3+deb7u2) wheezy-security; urgency=high
* Apply upstream security patches:
- OPENAFS-SA-2014-001: Fix potential buffer overflow in the
fileserver.  (CVE-2014-0159)
- Fix a potential DoS attack against Rx servers by avoiding suspending
the listener thread when delaying connection abort messages.
2013-07-22 - Russ Allbery <rra@debian.org>
openafs (1.6.1-3+deb7u1) wheezy-security; urgency=high
* Apply upstream security patches:
- OPENAFS-SA-2013-003: New support for non-DES enctypes in the
long-lived AFS key.  This requires deploying rxkad.keytab files on
each server containing all of the encryption types for the cell AFS
key.  Once this is deployed on servers, DES will only be used for
the session key.  Once deployed on all clients, a stronger security
mechanism will be used that allows the DES keys to be removed from
the AFS principal in the Kerberos KDC (but still uses DES for some
session encryption purposes).  (CVE-2013-4134)
- OPENAFS-SA-2013-004: Properly support the -encrypt option in vos,
including with -localauth.  (CVE-2013-4135)
2013-03-04 - Russ Allbery <rra@debian.org>
openafs (1.6.1-3) unstable; urgency=high
* Apply upstream security patches:
- OPENAFS-SA-2013-001: Fix fileserver buffer overflow when parsing
client-supplied ACL entries and protect against client parsing of
bad ACL entries.  (CVE-2013-1794)
- OPENAFS-SA-2013-002: Fix ptserver buffer overflow via integer
overflow in the IdToName RPC.  (CVE-2013-1795)
2012-08-21 - Russ Allbery <rra@debian.org>
openafs (1.6.1-2) unstable; urgency=low
* Translation updates:
- Fix German translation encoding.  Thanks, Christian PERRIER.
(Closes: #678736)
- Italian, thanks Beatrice Torracca.  (Closes: #671640)
2012-03-28 - Russ Allbery <rra@debian.org>
openafs (1.6.1-1) unstable; urgency=low
* New upstream release.
- Do not ignore all InlineBulkStatus errors in file server.
- Support for Linux 3.3 and 3.4.
- Fix incorrect kernel error handling in afs_notify_change.
- Fix locking around RXS_PreparePacket.

See Also

Package Description
libafsrpc1_1.6.1-3+deb7u5_i386.deb AFS distributed file system runtime library (RPC layer)
libafterimage-dev_2.2.11-7_i386.deb imaging library designed for AfterStep - development files
libafterimage0_2.2.11-7_i386.deb imaging library designed for AfterStep - runtime files
libafterstep1_2.2.11-7_i386.deb shared libraries for the AfterStep window manager
libagg-dev_2.5+dfsg1-8_i386.deb AntiGrain Geometry graphical toolkit (development files)
libagrep-ocaml-dev_1.0-11+b3_i386.deb Wu-Manber algorithm for string searching with errors
libagrep-ocaml_1.0-11+b3_i386.deb Wu-Manber algorithm for string searching with errors
libahven21.0_2.1-4_i386.deb Unit test library for Ada
libahven3-dev_2.1-4_i386.deb Unit test library for Ada (development)
libai-fann-perl_0.10-1_i386.deb Perl wrapper for the FANN library
libaiksaurus-1.2-0c2a_1.2.1+dev-0.12-6.1_i386.deb an English-language thesaurus (development)
libaiksaurus-1.2-data_1.2.1+dev-0.12-6.1_all.deb an English-language thesaurus (data)
libaiksaurus-1.2-dev_1.2.1+dev-0.12-6.1_i386.deb an English-language thesaurus (development)
libaiksaurusgtk-1.2-0c2a_1.2.1+dev-0.12-6.1_i386.deb graphical interface to the Aiksaurus toolkit (library)
libaiksaurusgtk-1.2-dev_1.2.1+dev-0.12-6.1_i386.deb graphical interface to the Aiksaurus toolkit (development)
Advertisement
Advertisement